#include <iostream>
using namespace std;
int strcmp(const char str1[], const char str2[]) {
 int i=-1;
 do {
  i ++;
   if (str1[i] > str2[i]) return(1);
	   if (str1[i] < str2[i]) return(-1);
	    } while (str1[i]);
    return(0);
}
	int  main()
	{
    	char string1[20], string2[20] ;
    	int result;
    	cout<<"  please enter string1 : ";
    	cin.get(string1,20);
    	cin.ignore();
	   cout<<"  please enter string2 : ";
    cin.get(string2,20);
    	result = strcmp(string1,string2);
    	if (result == 0)
        	cout<<string1<<" equals "<<string2<<endl ;
    	else if (result == 1)
          	cout<<" "<<string1<<" is greater than "<<string2<<endl ;
           	else  cout<<"  "<<string1<<" is less than "<<string2 ;
	return 0;
	}
